SupplierList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class SupplierList

    java.lang.Object
      com.fenalco.entities.SupplierList

    public class SupplierList

extends java.lang.Object

Esta clase representa un Listado de Proveedores, este listado será utilizado principalmente por el minorista para filtar el catalogo de productos.

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `suppliers` Este Hashtable contiene a los proveedores que componen la lista, este Hashtable está constituido de la siguiente forma: key: supplierId value: Objeto Supplier

Constructor Summary
`SupplierList()` Constructor por omisión Llama al método `loadData()` que carga una lista con todos los proveedores del sistema
`SupplierList(int storeId)` Este constructor recibe como parámetro el id del minorista `shopKeeperId` y carga una lista de los proveedores con los que tiene relación comercial.
`SupplierList(Store store)`

Method Summary
`void` | `filterByCity(int cityId)` Filtra La lista de proveedores por ciudad
`java.util.Hashtable` | `getSuppliers()` Consultor para el atributo suppliers.
`boolean` | `loadData()` Este método carga una lista de todos los proveedores del sistema en el objeto a través del método `query` de la clase `SQLUtilities`
`boolean` | `loadData(int storeId)` Este método carga desde la base de datos un listado de los proveedores que tienen una relación comercial con el minorista identificado por el parametro `shopKeeperId`.
`boolean` | `loadData(Store store)` Carga la lista de proveedores a partir del establecimiento indicado, pero revisa que el minorista dueño del establecimiento tenga activado al minorista para verlo en el catálogo.
`static void` | `main(java.lang.String[] args)`
`void` | `setSuppliers(java.util.Hashtable suppliers)` Modificador para el atributo suppliers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### suppliers

    private java.util.Hashtable suppliers

  Este Hashtable contiene a los proveedores que componen la lista, este Hashtable está constituido de la siguiente forma: key: supplierId value: Objeto Supplier

Constructor Detail

### SupplierList

    public SupplierList()

  Constructor por omisión Llama al método `loadData()` que carga una lista con todos los proveedores del sistema

### SupplierList

    public SupplierList(int storeId)

  Este constructor recibe como parámetro el id del minorista `shopKeeperId` y carga una lista de los proveedores con los que tiene relación comercial. Este constructor llama a la función `loadData(shopKeeperId)` y carga los datos de la base de datos en el objeto.

  Parameters:
    `shopKeeperId` - Identificador del minorista en la base de datos

### SupplierList

    public SupplierList(Store store)

Method Detail

### loadData

    public boolean loadData()

  Este método carga una lista de todos los proveedores del sistema en el objeto a través del método `query` de la clase `SQLUtilities`

  Returns:
    Valor booleano que identifica si la operación tuvo éxito o no

### loadData

    public boolean loadData(int storeId)

  Este método carga desde la base de datos un listado de los proveedores que tienen una relación comercial con el minorista identificado por el parametro `shopKeeperId`.

  Parameters:
    `shopKeeperId` - Identificador del minorista en la base de datos
  Returns:
    Valor booleano que identifica si la operación tuvo éxito o no

### loadData

    public boolean loadData(Store store)

  Carga la lista de proveedores a partir del establecimiento indicado, pero revisa que el minorista dueño del establecimiento tenga activado al minorista para verlo en el catálogo.

### filterByCity

    public void filterByCity(int cityId)

  Filtra La lista de proveedores por ciudad

  Parameters:
    `Id` - de la ciudad por la cual se va a filtrar

### getSuppliers

    public java.util.Hashtable getSuppliers()

  Consultor para el atributo suppliers.

  Returns:
    Valor del atributo suppliers.

### setSuppliers

    public void setSuppliers(java.util.Hashtable suppliers)

  Modificador para el atributo suppliers.

  Parameters:
    `suppliers` - Nuevo valor del atributo suppliers.

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD